
### Pre-release

- [ ] Update all ontology metadata in all relevant files ([ontology source file](/metadata4ing.ttl), [Widoco configuration file](/config.properties), [tabular list of authors](/documentation/Authors.md), [citation template for Zenodo](/CITATION.cff)), [README](/README.md#license-declaration-of-imported-or-extended-ontologies):
  - [ ] authors;
  - [ ] version number;
  - [ ] modification date;
  - [ ] imported ontologies + their licenses.
- [ ] Check consistency of the customized parts of the [documentation](/documentation) with the ontology:
  - [ ] [text](/documentation);
  - [ ] [info graphics](/visualizations).
- [ ] Update the [context file](/m4i_context.jsonld) via [its script](/ci/generate_context_file.py).
- [ ] Update all other dependent resources:
  - [ ] [First steps guide](/training/first-steps-guide.md);
  - [ ] [application examples](/application_examples);
  - [ ] [README](/README.md).
- [ ] Prepare a release note by going through the changes since last release (cf. the [project graph](/-/network/develop)).

### Making the release

When all changes are final:
- [ ] Merge the development branch into the master branch (do NOT squash commits).
- [ ] Create a tag from master branch.
- [ ] Create a release with that tag.
- [ ] Check that the release names and link to the following release artifacts on the respective tag:
  - [ ] the first steps guide from the respective tag;
  - [ ] the respective version of the documentation;
  - [ ] the Turtle serialization generated by Widoco online at the respective version of the documentation.

### Post-release

- [ ] Define all release artefacts.
- [ ] Generate a stable version of documentation:
  - [ ] create a release folder in [/documentation/stable-versions](/documentation/stable-versions);
  - [ ] add folder needs to be added in the CI-pipeline (gen-pages).
- [ ] Check that documentation is error-free and serves the correct version.
- [ ] Check that all ontology serializations return status 200 and that all w3id settings are working as expected.
- [ ] Update mirror copies on the following registries (complete list in the [README](/README.md#related-identifiers)):
  - [ ] [FairSharing](https://doi.org/10.25504/FAIRsharing.f8b3ec)                                   <!-- Doro                  -->
  - [ ] [Linked Open Vocabularies](https://lov.linkeddata.es/dataset/lov/vocabs/m4i)                <!-- Susanne               -->
  - [ ] [BARTOC](https://bartoc.org/en/node/20402)                                                  <!-- Susanne               -->
  - [ ] [Zazuko](https://prefix.zazuko.com/prefix/m4i:)                                             <!-- Marc                  -->
  - [ ] [Zenodo archive](https://zenodo.org/record/5957103)                                         <!-- automatisch           -->
  - [ ] [TIB Terminology service](https://terminology.tib.eu/ts/ontologies/m4i)                     <!-- automatisch           -->
  - [ ] [NFDI4Ing Terminology service](https://terminology.nfdi4ing.de/ts/ontologies/m4i)           <!-- automatisch           -->
  - [ ] [DBPedia Archivo](https://archivo.dbpedia.org/info?o=http://w3id.org/nfdi4ing/metadata4ing) <!-- automatisch           -->
